Summary:	Utilities to create and check MS-DOS FAT filesystems
Name:		dosfstools
Version:        4.2
Release:        %mkrel 3
License:	GPLv3+
Group:		File tools
URL:		https://github.com/dosfstools/dosfstools
Source0:	https://github.com/%{name}/%{name}/releases/download/v%{version}/%{name}-%{version}.tar.gz
Provides:	mkdosfs-ygg = %{version}

%description
Inside of this package there are two utilities to create and to
check MS-DOS FAT filesystems on either harddisks or floppies under
Linux.  This version uses the enhanced boot sector/superblock
format of DOS 3.3+ as well as provides a default dummy boot sector
code.

%prep
%setup -q

%build
%configure --enable-compat-symlinks
%make_build PREFIX=%{_prefix} CFLAGS="%{optflags} -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64"

%install
%make_install PREFIX=%{_prefix} SBINDIR=%{_sbindir}
rm -rf %{buildroot}%{_docdir}/%{name}

%files
%doc ChangeLog* doc/*
%{_sbindir}/mkdosfs
%{_sbindir}/mkfs.fat
%{_sbindir}/mkfs.msdos
%{_sbindir}/mkfs.vfat
%{_sbindir}/fatlabel
%{_sbindir}/fsck.fat
%{_sbindir}/fsck.msdos
%{_sbindir}/fsck.vfat
%{_sbindir}/dosfsck
%{_sbindir}/dosfslabel
%{_mandir}/man8/*


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 4.2-3.mga10
+ Revision: 2195825
- Mageia 10 Mass Rebuild

* Tue Mar 15 2022 umeabot <umeabot> 4.2-2.mga9
+ Revision: 1793462
- Mageia 9 Mass Rebuild

* Thu Mar 11 2021 daviddavid <daviddavid> 4.2-1.mga9
+ Revision: 1701416
- new version: 4.2

* Thu Feb 13 2020 umeabot <umeabot> 4.1-3.mga8
+ Revision: 1511910
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 4.1-2.mga7
+ Revision: 1297489
- Mageia 7 Mass Rebuild

* Sun Jan 29 2017 luigiwalser <luigiwalser> 4.1-1.mga6
+ Revision: 1084014
- 4.1

* Mon May 09 2016 luigiwalser <luigiwalser> 4.0-1.mga6
+ Revision: 1011255
- 4.0

* Thu Feb 11 2016 umeabot <umeabot> 3.0.28-2.mga6
+ Revision: 953796
- Mageia 6 Mass Rebuild

* Sun Jul 26 2015 blino <blino> 3.0.28-1.mga6
+ Revision: 857750
- 3.0.28

* Thu Nov 20 2014 luigiwalser <luigiwalser> 3.0.27-1.mga5
+ Revision: 797961
- 3.0.27
- change to new source URLs

* Wed Oct 15 2014 umeabot <umeabot> 3.0.26-3.mga5
+ Revision: 751236
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.0.26-2.mga5
+ Revision: 678815
- Mageia 5 Mass Rebuild

* Sat Mar 08 2014 luigiwalser <luigiwalser> 3.0.26-1.mga5
+ Revision: 601111
- 3.0.26

* Sat Jan 18 2014 luigiwalser <luigiwalser> 3.0.25-1.mga4
+ Revision: 566802
- 3.0.25

* Thu Dec 05 2013 luigiwalser <luigiwalser> 3.0.24-1.mga4
+ Revision: 555408
- 3.0.24

* Tue Oct 22 2013 umeabot <umeabot> 3.0.23-2.mga4
+ Revision: 545022
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 luigiwalser <luigiwalser> 3.0.23-1.mga4
+ Revision: 500663
- 3.0.23

* Fri Jul 19 2013 luigiwalser <luigiwalser> 3.0.22-1.mga4
+ Revision: 456366
- 3.0.22

* Tue Jul 16 2013 luigiwalser <luigiwalser> 3.0.21-1.mga4
+ Revision: 455066
- 3.0.21
- remove upstreamed patch

* Thu Jun 13 2013 luigiwalser <luigiwalser> 3.0.20-1.mga4
+ Revision: 442549
- 3.0.20
- call new Makefile target to install command symlinks
- fix parallel make issue with install-symlinks

* Wed Jun 12 2013 luigiwalser <luigiwalser> 3.0.19-1.mga4
+ Revision: 442025
- 3.0.19

* Fri Jun 07 2013 luigiwalser <luigiwalser> 3.0.18-1.mga4
+ Revision: 438755
- 3.0.18
- update files list

* Sun Jun 02 2013 luigiwalser <luigiwalser> 3.0.17-1.mga4
+ Revision: 434312
- 3.0.17

* Sat Mar 02 2013 luigiwalser <luigiwalser> 3.0.16-1.mga3
+ Revision: 401033
- 3.0.16

* Sun Feb 24 2013 luigiwalser <luigiwalser> 3.0.15-1.mga3
+ Revision: 400209
- 3.0.15
- remove the patches which were accepted upstream

* Wed Jan 30 2013 luigiwalser <luigiwalser> 3.0.14-1.mga3
+ Revision: 393604
- 3.0.14

* Fri Jan 11 2013 umeabot <umeabot> 3.0.13-2.mga3
+ Revision: 349065
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 19 2012 luigiwalser <luigiwalser> 3.0.13-1.mga3
+ Revision: 308313
- 3.0.13
- remove upstreamed patch

* Thu Sep 20 2012 sander85 <sander85> 3.0.12-2.mga3
+ Revision: 296349
- usrmove
- Add few patches from Fedora

* Mon Nov 14 2011 dams <dams> 3.0.12-1.mga2
+ Revision: 167422
- new version 3.0.12

* Wed Mar 23 2011 tv <tv> 3.0.11-1.mga1
+ Revision: 75801
- new release

* Tue Jan 11 2011 blino <blino> 3.0.10-1.mga1
+ Revision: 5774
- imported package dosfstools


* Sat Dec 11 2010 Sandro Cazzaniga <kharec@mandriva.org> 3.0.10-1mdv2011.0
+ Revision: 620583
- update to 3.0.10
- fix buildroot use

* Thu Dec 02 2010 Oden Eriksson <oeriksson@mandriva.com> 3.0.9-2mdv2011.0
+ Revision: 604811
- rebuild

* Sun Jan 31 2010 Frederik Himpe <fhimpe@mandriva.org> 3.0.9-1mdv2010.1
+ Revision: 498841
- update to new version 3.0.9

* Sat Jan 23 2010 Frederik Himpe <fhimpe@mandriva.org> 3.0.8-1mdv2010.1
+ Revision: 495291
- update to new version 3.0.8

* Thu Dec 24 2009 Frederik Himpe <fhimpe@mandriva.org> 3.0.7-1mdv2010.1
+ Revision: 481980
- update to new version 3.0.7

* Mon Jul 27 2009 Frederik Himpe <fhimpe@mandriva.org> 3.0.5-1mdv2010.0
+ Revision: 400703
- update to new version 3.0.5

* Tue Jul 21 2009 Frederik Himpe <fhimpe@mandriva.org> 3.0.4-1mdv2010.0
+ Revision: 398310
- update to new version 3.0.4

* Mon May 18 2009 Frederik Himpe <fhimpe@mandriva.org> 3.0.3-1mdv2010.0
+ Revision: 377310
- Update to new version 3.0.3
- Remove old patches
- Switch to new Source URL and website
- License is GPLv3+ now

* Thu Jan 22 2009 Pascal Terjan <pterjan@mandriva.org> 2.11-11mdv2009.1
+ Revision: 332485
- dosfslabel currently returns 0 if we asked to read label and 1 if we asked to set it.
  Always return 0

* Sat Dec 20 2008 Oden Eriksson <oeriksson@mandriva.com> 2.11-10mdv2009.1
+ Revision: 316669
- rediffed one fuzzy patch

* Wed Jul 02 2008 Oden Eriksson <oeriksson@mandriva.com> 2.11-9mdv2009.0
+ Revision: 230677
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Tue Jan 29 2008 Per Øyvind Karlsen <peroyvind@mandriva.org> 2.11-7mdv2008.1
+ Revision: 159954
- oops, fix typo
- don't remove fsck.vfat & fsck.msdos as it's considered safe now and
  should be automatically run when needed and/or 'fsck' is used

* Sat Dec 22 2007 Götz Waschk <waschk@mandriva.org> 2.11-6mdv2008.1
+ Revision: 136747
- drop patch 2 to fix bug #36279

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Dec 11 2007 Götz Waschk <waschk@mandriva.org> 2.11-5mdv2008.1
+ Revision: 117348
- update patch 4 to fix bug #36052 (missing dosfslabel)

* Tue Nov 20 2007 Götz Waschk <waschk@mandriva.org> 2.11-4mdv2008.1
+ Revision: 110699
- add patch from Fedora to add dosfslabel program
- fix large file support cflags to fix bug #27436


* Sat Jan 13 2007 Götz Waschk <waschk@mandriva.org> 2.11-3mdv2007.0
+ Revision: 108279
- Import dosfstools

* Sat Jan 13 2007 Götz Waschk <waschk@mandriva.org> 2.11-3mdv2007.1
- Rebuild

* Tue May 16 2006 Stefan van der Eijk <stefan@eijk.nu> 2.11-2mdk
- rebuild for sparc

* Fri Dec 23 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.11-1mdk
- 2.11
- sync with fedora
- fix summary-ended-with-dot
- convert changelog to utf-8

* Sun Oct 09 2005 Michael Scherer <misc@mandriva.org> 2.10-3mdk
- Rebuild

* Sat Jul 10 2004 Götz Waschk <waschk@linux-mandrake.com> 2.10-2mdk
- patch 3: fix build

* Sun Apr 18 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.10-1mdk
- 2.10
- drop prefix tag
- ship with 2.4 kernel header (S1) and compile against it (P2)
- drop patches that hasn't been applied
- spec cosmetics

